#
#	This is the InDependence spec file. It will be used as an
#	example of how to create an RPM package.
#
#	Created on 9/9/99 by SMB
#
#	$Id: InDependence.spec,v 1.3 1999/09/27 18:01:50 steve Exp $
#
#	Note: all lines preceded by '#' are comments
#
#-----------------------------------------------------------------------
# Preamble:
#	This section contains entries that describe the package and
#	its characteristics.
#
Name: InDependence
#
#	Name (required) of the package. 
#
Version: 1.0
Release: 9
#
#	Version (required) is the version of the source package.
#	Release (required) is the version of the rpm spec file.
#	The ultimate package name will be "Name-Version-Release.arch.rpm"
#
Summary: RPM Dependency Tracker
#
#	Summary just gives a brief description of the package
#
Group: Applications/System
#
#	Group defines how the package should be grouped with other
#	packages. It's a classification of the package.
#
Source: %{name}_%{version}.tar.gz
#
#	Source (required) should be the URL of the source tarball, if 
#	one exists. The %{name}_%{version}.tar.gz must match the name
#	of the actual tarball that the RPM package will be created from.
#
URL: http://www.cse.ogi.edu/DISC/projects/independence/
#
#	URL is the location for the *documentation* of the package.
#
Copyright: Artistic License
#
#	Copyright gives the copyright of the source package.
#
Packager: Steve Beattie <steve@wirex.net>
#
#	Vendor is the name of the organization that distributes the
#	software; similarly, the packager is the person who created the
#	RPM package.
#
BuildRoot: %{_tmppath}/%{name}-root
#
#	BuildRoot specifies where rpm should actually build/install the
#	package. WARNING: Never change this (or override it on the 
#	command line) to be "/", as a typical thing that happens in the 
#	build process is 'rm -rf %{BuildRoot}'.
#
Prefix: %{_prefix}
#
#	Prefix specifies the part of the file pathnames in %files that
#	can be relocated.
#
#-----------------------------------------------------------------------
#  Description 
#	This section gives a description of the package. All lines after
#	the %description tag are included.
#
%description
InDependence is a suite of tools (well two :-) designed to help RPM
packagers and system administrators deal with the dependencies between
RPM packages.  InDependence has two major components:

Dep:  This tool is for the RPM packager that identifies external files
    or RPM packages that a program uses.

RPMTC:  "RPM Transitive Closure".  This tool is for the RPM system
    administrator.  "rpmtc foo.rpm" will transitively compute the
    *entire* set of RPMs necessary to support the foo.rpm package, i.e.
    if foo.rpm depends on bar.rpm, and bar.rpm depends on baz.rpm,
    RPMTC will report both bar and baz.

%prep
#
%setup -q -n %{name}_%{version}
#
#	%setup is a macro that untars the package into the
#	/usr/src/redhat/BUILD/ directory. 
#

#
#-----------------------------------------------------------------------
# Build
#	The build section is where configuration and compilation occurs.
#	The InDependence package is pretty simple: we just do 'make'.
%build
make
#
#-----------------------------------------------------------------------
# Install
#	This section is where we install the package into the BuildRoot
#	area. Typically, this will be just 'make install'; if so, ensure
#	that you tell make install to install under $RPM_BUILD_ROOT.
#
%install
# 
#	Install executables (man install(1))
#	
install -m 755 -d ${RPM_BUILD_ROOT}%{_bindir} 
install -m 755 dep/dep ${RPM_BUILD_ROOT}%{_bindir}/dep
install -m 755 dep/swrapper.pl ${RPM_BUILD_ROOT}%{_bindir}/swrapper.pl
install -m 755 rpmtc/rpmtc ${RPM_BUILD_ROOT}%{_bindir}/rpmtc
install -m 755 rpmtc/rpmdep-pipe ${RPM_BUILD_ROOT}%{_prefix}/bin/rpmdep-pipe
#
#	Install man pages
#
install -m 755 -d ${RPM_BUILD_ROOT}%{_mandir}/man1 
install -m 755 dep/dep.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/dep.1
install -m 755 rpmtc/rpmtc.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/rpmtc.1

#
#-----------------------------------------------------------------------
# Clean
#	Simple cleanup section.
#
%clean 
rm -rf $RPM_BUILD_ROOT
#
#-----------------------------------------------------------------------
# Files
#	This section tells RPM which files we actually want installed.
#	We can specify directories, tag things as documentation (to be
#	stored in /usr/doc), and set permissions.
#
%files
%defattr(-,root,root)
%doc README
%doc COPYING
# 
#	The %doc tags a file (or directory) as being documentation.
#	Files annotated as such will get installed in
#	/usr/doc/%(name)-%(version)
#
#	Other files listed are installed in place
#
%{_bindir}/*
%{_mandir}/*/*
#
#
%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- final rebuild for 7.0.

* Thu Jun 15 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- use rpm macros

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix vendor

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- strip binaries
- fixed so that man pages are gzipped by RPM

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- changed group

* Thu Sep 09 1999 Steve Beattie <steve@wirex.net>
- First creation
